#include <stdlib.h>
#include <stdio.h>
#include <stdint.h>
#include <string.h>

#include "file_bin.h"
#include "dis_avr.h"


int main(int argc, char **argv)
{
	uint16_t data16,op_num;
	if ((argc == 2) or (argc == 3))
	{
		if (argc == 2)
		{
			FileBin fb( argv[1] );
			while (fb.eof() == FALSE)
			{
				data16 = fb.read_uint16();
				op_num = get_opcode_num( data16 );
				if (op_num != 0xFFFF)
				{
					if (opcode_table[op_num].size == 2)
					{
						opcode_print( op_num, data16, 0x0 );
					}
					
					if (opcode_table[op_num].size == 4)
					{
						opcode_print( op_num, data16, fb.read_uint16());
					}
				}
			}
		}
		if (argc == 3)
		{
		}
	}
	else
	{
		printf("./disavr FILE_NAME [OUTPUT_FILE]\n");
	}
	
	return 0;
}



